<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Mar 16 12:11:16 CET 2019 -->
<title>TDS</title>
<meta name="date" content="2019-03-16">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="TDS";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../tds/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../tds/SymboleInt.html" title="class in tds"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../tds/TDSTest.html" title="class in tds"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?tds/TDS.html" target="_top">Frames</a></li>
<li><a href="TDS.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">tds</div>
<h2 title="Class TDS" class="title">Class TDS</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>tds.TDS</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">TDS</span>
extends java.lang.Object</pre>
<div class="block">Class TDS (Symbole Table)</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../tds/TDS.html#TDS--">TDS</a></span>()</code>
<div class="block">Default constructor</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../tds/TDS.html#TDS-int-">TDS</a></span>(int&nbsp;offset)</code>
<div class="block">Constructor with offset</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../tds/TDS.html#addArray-java.lang.String-java.lang.String-java.util.ArrayList-">addArray</a></span>(java.lang.String&nbsp;idf,
        java.lang.String&nbsp;type,
        java.util.ArrayList&lt;int[]&gt;&nbsp;shape)</code>
<div class="block">Add an array into the ST</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../tds/TDS.html#addBoolean-java.lang.String-">addBoolean</a></span>(java.lang.String&nbsp;idf)</code>
<div class="block">Add a boolean into the ST</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../tds/TDS.html" title="class in tds">TDS</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../tds/TDS.html#addFunction-java.lang.String-java.util.ArrayList-java.lang.String-">addFunction</a></span>(java.lang.String&nbsp;idf,
           java.util.ArrayList&lt;<a href="../tds/Argument.html" title="class in tds">Argument</a>&gt;&nbsp;args,
           java.lang.String&nbsp;returnType)</code>
<div class="block">Add a function into the ST</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../tds/TDS.html#addInteger-java.lang.String-">addInteger</a></span>(java.lang.String&nbsp;idf)</code>
<div class="block">Add an integer into the ST</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>java.util.ArrayList&lt;<a href="../tds/TDS.html" title="class in tds">TDS</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../tds/TDS.html#getChildren--">getChildren</a></span>()</code>
<div class="block">Get all ST created by this one</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../tds/TDS.html" title="class in tds">TDS</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../tds/TDS.html#getParent--">getParent</a></span>()</code>
<div class="block">Get TDS parent of the ST</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>java.util.ArrayList&lt;<a href="../tds/TDS.html" title="class in tds">TDS</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../tds/TDS.html#getSiblings--">getSiblings</a></span>()</code>
<div class="block">Get siblings of this ST (ST created by the parent)</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../tds/Symbole.html" title="class in tds">Symbole</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../tds/TDS.html#getSymboleByIDF-java.lang.String-">getSymboleByIDF</a></span>(java.lang.String&nbsp;idf)</code>
<div class="block">Get symbol by its identifier</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>java.util.ArrayList&lt;<a href="../tds/Symbole.html" title="class in tds">Symbole</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../tds/TDS.html#getSymboles--">getSymboles</a></span>()</code>
<div class="block">Get symbols stored in the TDS</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../tds/TDS.html#setParent-tds.TDS-">setParent</a></span>(<a href="../tds/TDS.html" title="class in tds">TDS</a>&nbsp;t)</code>
<div class="block">Set the parent of this ST</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="TDS--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TDS</h4>
<pre>public&nbsp;TDS()</pre>
<div class="block">Default constructor</div>
</li>
</ul>
<a name="TDS-int-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>TDS</h4>
<pre>public&nbsp;TDS(int&nbsp;offset)</pre>
<div class="block">Constructor with offset</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>offset</code> - base offset in the memory stack</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="addInteger-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addInteger</h4>
<pre>public&nbsp;void&nbsp;addInteger(java.lang.String&nbsp;idf)</pre>
<div class="block">Add an integer into the ST</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>idf</code> - for the identifier of the integer</dd>
</dl>
</li>
</ul>
<a name="addBoolean-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addBoolean</h4>
<pre>public&nbsp;void&nbsp;addBoolean(java.lang.String&nbsp;idf)</pre>
<div class="block">Add a boolean into the ST</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>idf</code> - for the identifier of the boolean</dd>
</dl>
</li>
</ul>
<a name="addArray-java.lang.String-java.lang.String-java.util.ArrayList-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addArray</h4>
<pre>public&nbsp;void&nbsp;addArray(java.lang.String&nbsp;idf,
                     java.lang.String&nbsp;type,
                     java.util.ArrayList&lt;int[]&gt;&nbsp;shape)</pre>
<div class="block">Add an array into the ST</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>idf</code> - for the identifier of the array</dd>
<dd><code>type</code> - is the type of value that the array is containing</dd>
<dd><code>shape</code> - is the shape of the array, for instance {[-3,3];[0,5]} stands for a 2D-Array with the first
              line going from -3 to 3 and the second one from 0 to 5</dd>
</dl>
</li>
</ul>
<a name="addFunction-java.lang.String-java.util.ArrayList-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addFunction</h4>
<pre>public&nbsp;<a href="../tds/TDS.html" title="class in tds">TDS</a>&nbsp;addFunction(java.lang.String&nbsp;idf,
                       java.util.ArrayList&lt;<a href="../tds/Argument.html" title="class in tds">Argument</a>&gt;&nbsp;args,
                       java.lang.String&nbsp;returnType)</pre>
<div class="block">Add a function into the ST</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>idf</code> - for the identifier of the function</dd>
<dd><code>args</code> - contains all the arguments that the function needs</dd>
<dd><code>returnType</code> - is the type of value that the function will return</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the ST associated to the function that you've just added</dd>
</dl>
</li>
</ul>
<a name="getChildren--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getChildren</h4>
<pre>public&nbsp;java.util.ArrayList&lt;<a href="../tds/TDS.html" title="class in tds">TDS</a>&gt;&nbsp;getChildren()</pre>
<div class="block">Get all ST created by this one</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>children</dd>
</dl>
</li>
</ul>
<a name="getSiblings--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSiblings</h4>
<pre>public&nbsp;java.util.ArrayList&lt;<a href="../tds/TDS.html" title="class in tds">TDS</a>&gt;&nbsp;getSiblings()</pre>
<div class="block">Get siblings of this ST (ST created by the parent)</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>siblings</dd>
</dl>
</li>
</ul>
<a name="getSymboles--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSymboles</h4>
<pre>public&nbsp;java.util.ArrayList&lt;<a href="../tds/Symbole.html" title="class in tds">Symbole</a>&gt;&nbsp;getSymboles()</pre>
<div class="block">Get symbols stored in the TDS</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>arraylist of symbols</dd>
</dl>
</li>
</ul>
<a name="getSymboleByIDF-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSymboleByIDF</h4>
<pre>public&nbsp;<a href="../tds/Symbole.html" title="class in tds">Symbole</a>&nbsp;getSymboleByIDF(java.lang.String&nbsp;idf)</pre>
<div class="block">Get symbol by its identifier</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>idf</code> - identifier of the symbol you are searching for</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the symbol if it's in the ST, null if it's not</dd>
</dl>
</li>
</ul>
<a name="setParent-tds.TDS-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setParent</h4>
<pre>public&nbsp;void&nbsp;setParent(<a href="../tds/TDS.html" title="class in tds">TDS</a>&nbsp;t)</pre>
<div class="block">Set the parent of this ST</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>t</code> - parent</dd>
</dl>
</li>
</ul>
<a name="getParent--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getParent</h4>
<pre>public&nbsp;<a href="../tds/TDS.html" title="class in tds">TDS</a>&nbsp;getParent()</pre>
<div class="block">Get TDS parent of the ST</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>TDS parent</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../tds/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../tds/SymboleInt.html" title="class in tds"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../tds/TDSTest.html" title="class in tds"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?tds/TDS.html" target="_top">Frames</a></li>
<li><a href="TDS.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
